Package: libsoup2.4 / 2.74.0-2

Metadata

Package Version Patches format
libsoup2.4 2.74.0-2 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
skip tls_interaction test.patch | (download)

tests/ssl-test.c | 5 5 + 0 - 0 !
1 file changed, 5 insertions(+)

 skip tls_interaction test

This test is too unreliable on Debian architectures
and this package is too critical to not get timely updates

[smcv: Allow running it anyway, by setting an environment variable]

Bug: https://gitlab.gnome.org/GNOME/libsoup/issues/120

tests Skip tests if unable to start Apache.patch | (download)

tests/pull-api-test.c | 10 7 + 3 - 0 !
tests/test-utils.c | 26 22 + 4 - 0 !
tests/test-utils.h | 12 9 + 3 - 0 !
tests/xmlrpc-old-test.c | 10 9 + 1 - 0 !
tests/xmlrpc-test.c | 10 9 + 1 - 0 !
5 files changed, 56 insertions(+), 12 deletions(-)

 tests: skip tests if unable to start apache

This is a workaround for Apache not always being able to bind to its
hard-coded ports, which happens often enough to be a problem for Debian
QA infrastructure, but not often enough to be able to debug it.

Mitigates: GNOME/libsoup#175
Revert Fix building vapi generation with latest vala.patch | (download)

libsoup/Soup-2.4.metadata | 4 0 + 4 - 0 !
1 file changed, 4 deletions(-)

 revert "fix building vapi generation with latest vala"

This reverts commit 0aeb7e8db0b9379e8110ed3e6d74c21bac161fd5.

The vala commit is part of vala 53.1 which isn't in Debian yet

Reported as https://gitlab.gnome.org/GNOME/libsoup/-/issues/237